Bug 117485 - USB mouse stops working
USB mouse stops working
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-04 10:24 EST by Billy Biggs
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (12.03 KB, text/plain)
2004-03-04 10:26 EST, Billy Biggs
no flags Details
lsusb output (7.63 KB, text/plain)
2004-03-04 10:27 EST, Billy Biggs
no flags Details
XFree86.0.log (56.63 KB, text/plain)
2004-03-04 10:27 EST, Billy Biggs
no flags Details

  None (edit)
Description Billy Biggs 2004-03-04 10:24:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I have a USB mouse:

  Microsoft 5-Button Mouse with IntelliEye(TM)

After a few minutes of activity, the mouse stops working.  It is an
optical mouse, and the light goes off.  Unplugging the mouse and then
plugging it back in causes it to work again.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1.Run X
2.Web browse and use an xterm
3.Witness the doom of the mouse
Comment 1 Billy Biggs 2004-03-04 10:26:34 EST
Created attachment 98296 [details]
dmesg output

This shows the dmesg output including the output from a few hangs and reinserts
of the mouse.
Comment 2 Billy Biggs 2004-03-04 10:27:17 EST
Created attachment 98297 [details]
lsusb output

lsusb output, hopefully including some useful information about the mouse.  It
is plugged into the front of the PC.
Comment 3 Billy Biggs 2004-03-04 10:27:53 EST
Created attachment 98298 [details]
XFree86.0.log

The X log file, maybe there is some interaction with X that causes this?
Comment 4 Mike A. Harris 2004-03-15 03:24:30 EST
X just reads data from /dev/input/mice and does not control the
USB hardware directly.  It's unlikely to be a problem with interaction
with X IMHO, because X just uses standard kernel interfaces.  If it
requires unplugging the device and plugging it back in, it sounds
like something is broken in kernel-driver land IMHO.
Comment 5 Bugzilla owner 2004-09-30 11:41:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.